[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDialogBaseButtonItem.TaskButtonCollection

Gets the collection where the button definition is stored.

## Declaration

Source position: dialogs.pp line 641

`protected function TTaskDialogBaseButtonItem.TaskButtonCollection: TTaskDialogButtons;`

## Function result

Collection which owns the button cast to a TTaskDialogButtons type.

## Description

TaskButtonCollection is a TTaskDialogButtons function which retrieves the Collection where the button definition is stored. It allows the button definition to access properties and methods in the collection.